Purchases
Cancel a price watch this assistant set
Live
DELETE
https://shopitup.ca/api/v1/price-watches/{price_watch_id}
- Access
-
purchase:writeHow to get a token - Returns
- The price watch, cancelled (or as it ended, if it already had)
Path parameters
-
price_watch_idinteger Required
Response
200 The price watch, cancelled (or as it ended, if it already had)
-
price_watch_idinteger -
statusstring -
catalog_item_idstring -
titlestring -
max_priceMoney2 child attributes
-
amountstring RequiredDecimal string, two places
-
currencystring Required
-
-
max_totalMoney2 child attributes
-
amountstring RequiredDecimal string, two places
-
currencystring Required
-
-
current_priceMoney2 child attributes
-
amountstring RequiredDecimal string, two places
-
currencystring Required
-
-
outcomestringWhy it ended, when it did (e.g.
bought,item_sold,over_your_total,card_declined,limits_lowered,assistant_disconnected,expired). -
order_numberstring -
expires_atstring date-time -
created_atstring date-time
Status codes
200
The price watch, cancelled (or as it ended, if it already had)
404
Not found, or not listed on this marketplace
401
Missing, invalid or expired access token
403
The token does not carry the scope this endpoint needs
429
Too many requests; retry after the number of seconds in Retry-After
503
A service the API depends on is briefly unavailable; retry after the number of seconds in Retry-After